<template>
  <div id="index">
    <admin-frame
      @search="search"
      :limit="limit"
      :total="total"
      topType="2"
      :usePage="active == '0' ? false : true"
      @back="back"
      :rightArrow="false"
      :useNav="false"
    >
      <template v-slot:info>
        <van-tabs v-model="active">
          <van-tab title="评估单"><form-1 :patent_id="patent_id"></form-1></van-tab>
          <van-tab title="已评估">
            <list-1 :list="list" @toView="toView" @toResult="toResult"></list-1>
          </van-tab>
        </van-tabs>
      </template>
    </admin-frame>
    <van-dialog class="dialog" v-model="dialog.show" :title="dialog.title" :show-confirm-button="false" show-cancel-button cancel-button-text="返回">
      <info-1 v-if="dialog.type == '1'" :info="info"></info-1>
      <result-1 v-else-if="dialog.type == '2'" :info="info"></result-1>
    </van-dialog>
  </div>
</template>

<script>
import form1 from '@/layout/assessment/form-1.vue';
import list1 from '@/layout/assessment/list-1.vue';
import info1 from '@/layout/assessment/info-1.vue';
import result1 from '@/layout/assessment/result-1.vue';
import adminFrame from '@frame/src/components/mobile-frame/mobile-main.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
const { mapActions: patentassess } = createNamespacedHelpers('patentassess');
export default {
  name: 'index',
  props: {},
  components: {
    adminFrame,
    list1,
    form1,
    info1,
    result1,
  },
  data: function () {
    return {
      active: 0,
      list: [],
      limit: 4,
      total: 0,
      // 弹框
      dialog: { show: false, title: '详细信息', type: '1' },
      // 详细信息
      info: {},
    };
  },
  created() {
    this.search();
  },
  methods: {
    ...patentassess(['query', 'fetch']),
    async search({ skip = 0, limit = this.limit, ...info } = {}) {
      let res = await this.query({ skip, limit, user_id: this.user._id, ...info });
      if (this.$checkRes(res)) {
        this.$set(this, `list`, res.data);
        this.$set(this, `total`, res.total);
      }
    },
    // 详细信息
    async toView(data) {
      let res = await this.fetch(data.id);
      if (this.$checkRes(res)) {
        this.$set(this, `info`, res.data);
        this.dialog = { show: true, title: '详细信息', type: '1' };
      }
    },
    // 查看结果
    toResult(data) {
      this.$set(this, `info`, data);
      this.dialog = { show: true, title: '审核结果', type: '2' };
    },
    // 返回
    back() {
      this.$router.push({ path: '/patent/index' });
    },
  },
  computed: {
    ...mapState(['user']),
    patent_id() {
      return this.$route.query.id;
    },
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    active: {
      deep: true,
      immediate: true,
      handler(val) {
        this.search();
      },
    },
  },
};
</script>

<style lang="less" scoped>
.dialog {
  /deep/.van-dialog__content {
    max-height: 350px;
    overflow-y: auto;
  }
}
</style>
